import request from '@/utils/request'

export function login(username, password) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_用户名密码_查询数据',
      param: `用户名=${username}&密码=${password}`
    }
  })
}
//
export function getInfo(token, type) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单系统模块_获取角色模块_查询数据',
      param: `角色编号=${token}`
    }
  })
}
// 修改密码
export function editPassword(num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '基础数据_修改密码',
      param: '账号=' + num1 + '=string&原始密码=' + num2 + '=string&新密码=' + num3
    }
  })
}
